FILEFRAG(8)

NAZWA
filefrag - informuje o fragmentacji pliku

SKŁADNIA
filefrag [ -b rozmiar-bloku ] [ -BeEkPsvVxX ] [ pliki... ]

OPIS
Program filefrag informuje o poziomie fragmentacji danego pliku. Bierze poprawkę na bloki pośrednie w systemach plików ext2 i ext3, lecz można go stosować w każdym systemie plików.

Program filefrag najpierw stara się pozyskać informację o ekstencie za pomocą ioctl FIEMAP, które jest znacznie wydajniejsze i szybsze. Jeśli FIEMAP jest niedostępne, korzysta z FIBMAP.

OPCJE

-B  Wymusza użycie starszego ioctl FIBMAP zamiast ioctl FIEMAP w celach testowych.

-b rozmiar-bloku
    Use blocksize in bytes, or with [KMG] suffix, up to 1GB for output instead of the file system blocksize. For compatibility with earlier versions of filefrag, if blocksize is unspecified it defaults to 1024 bytes. Since blocksize is an optional argument, it must be added without any space after -b.

-e  Wypisuje wynik w formacie ekstentów, nawet w przypadku plików przydzielonych do bloków.

-E  Display the contents of ext4's extent status cache. This feature is not supported on all kernels, and is only supported on ext4 file systems.

-k  Use 1024-byte blocksize for output (identical to '-b1024').

-P  Pre-load the ext4 extent status cache for the file. This is not supported on all kernels, and is only supported on ext4 file systems.

-s  Wykonuje synchronizację pliku przed żądaniem mapowania.

-v  Wypisuje więcej informacji przy sprawdzaniu fragmentacji pliku.

-V  Print version number of program and library. If given twice, also print the FIEMAP flags that are understood by the current version.

-x  Wyświetla mapowanie atrybutów rozszerzonych.

-X  Wyświetla numer bloków ekstentów w formacie szesnastkowym.

AUTOR
filefrag zostało napisane przez Theodore'a Ts'o <tytso@mit.edu>.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.